# OpalPluginCodecHandler Class Reference

`#include <opalpluginmgr.h>`

## Public Member Functions

| OpalPluginCodecHandler ()
virtual OpalMediaFormatInternal * | OnCreateAudioFormat (OpalPluginCodecManager &mgr, const PluginCodec_Definition *codecDefn, const char *fmtName, const char *rtpEncodingName, unsigned frameTime, unsigned timeUnits, time_t timeStamp)
virtual OpalMediaFormatInternal * | OnCreateVideoFormat (OpalPluginCodecManager &mgr, const PluginCodec_Definition *codecDefn, const char *fmtName, const char *rtpEncodingName, time_t timeStamp)
virtual void | RegisterVideoTranscoder (const PString &src, const PString &dst, const PluginCodec_Definition *codec, bool v)
virtual OpalMediaFormatInternal * | OnCreateFaxFormat (OpalPluginCodecManager &mgr, const PluginCodec_Definition *codecDefn, const char *fmtName, const char *rtpEncodingName, unsigned frameTime, unsigned timeUnits, time_t timeStamp)

## Static Public Member Functions

static int | GetChannelCount (const PluginCodec_Definition *codeDefn)

## Constructor & Destructor Documentation

OpalPluginCodecHandler::OpalPluginCodecHandler | ( |  | ) |

## Member Function Documentation

static int OpalPluginCodecHandler::GetChannelCount | ( | const PluginCodec_Definition * | codeDefn | ) | `[static]`

virtual OpalMediaFormatInternal* OpalPluginCodecHandler::OnCreateAudioFormat | ( | OpalPluginCodecManager & | mgr,
|  | const PluginCodec_Definition * | codecDefn,
|  | const char * | fmtName,
|  | const char * | rtpEncodingName,
|  | unsigned | frameTime,
|  | unsigned | timeUnits,
|  | time_t | timeStamp |
| ) |  |  | `[virtual]`

virtual OpalMediaFormatInternal* OpalPluginCodecHandler::OnCreateFaxFormat | ( | OpalPluginCodecManager & | mgr,
|  | const PluginCodec_Definition * | codecDefn,
|  | const char * | fmtName,
|  | const char * | rtpEncodingName,
|  | unsigned | frameTime,
|  | unsigned | timeUnits,
|  | time_t | timeStamp |
| ) |  |  | `[virtual]`

virtual OpalMediaFormatInternal* OpalPluginCodecHandler::OnCreateVideoFormat | ( | OpalPluginCodecManager & | mgr,
|  | const PluginCodec_Definition * | codecDefn,
|  | const char * | fmtName,
|  | const char * | rtpEncodingName,
|  | time_t | timeStamp |
| ) |  |  | `[virtual]`

virtual void OpalPluginCodecHandler::RegisterVideoTranscoder | ( | const PString & | src,
|  | const PString & | dst,
|  | const PluginCodec_Definition * | codec,
|  | bool | v |
| ) |  |  | `[virtual]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h